Bug 478006 - fbcon cannot be disabled or configured for lower resolution
fbcon cannot be disabled or configured for lower resolution
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-27 00:32 EST by Chris Elmquist
Modified: 2009-12-18 02:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:25:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 146003 None None None Never

  None (edit)
Description Chris Elmquist 2008-12-27 00:32:13 EST
Description of problem:

FC10 now uses the frame buffered console by default and sets a resolution
of 160x64 characters.  This resolution is too dense for smaller LCD monitors
typically used when configuring servers or other systems that do not normally
run with X-Windows.  We need a way to revert to the legacy 80x25 text consoles
and not be forced into this 160x64 high density mode.  fbcon=map:2 and other
suggested approaches to disable the fbcon have failed, with it always using
the 160x64 mode.

Version-Release number of selected component (if applicable):


How reproducible:

The system chooses the fb console at 160x64 every time it boots

Steps to Reproduce:
1. install FC10
2. remove rhgb and quiet from kernel command line
3. causes boot into plain text console but switches to fbcon at 160x64
Actual results:

the frame buffered console is used no matter what kernel command line
options are tried and it seems there is no way to use the legacy VGA
console at 80x25 any longer

Expected results:

expected text consoles to be at 80x25 as they have been with all Fedora
releases through #9.

Additional info:

my system chooses the 'radeondrmfb' frame buffer driver.  This appears to
be in the initrd as completely removing it from the system still allows
the frame buffer console to operate.
Comment 1 Thomas J. Baker 2009-03-17 15:30:33 EDT
I think this is also true of later Fedora 9 kernels. I have some Dell systems where  the resolution change causes the unsync of the monitor completely leaving no text mode console. Any way around this?
Comment 2 Thomas J. Baker 2009-03-18 10:33:07 EDT
A work around in my case is to specify vga=0x311 on the kernel command line which is 640x480x16 and keeps udev from doing the fb resolution switch. (Specifying vga=0xF00 or whatever the first choice was when using vga=ask didn't keep udev from switching resolutions.)
Comment 3 Bug Zapper 2009-11-18 05:35:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-12-18 02:25:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.